"err is not defined" at "nsSuiteGlue.js line: 752"

VERIFIED FIXED in seamonkey2.11

Status

defect
P3
normal
VERIFIED FIXED
7 years ago
7 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

Trunk
seamonkey2.11
Dependency tree / graph
Bug Flags:
in-testsuite -

SeaMonkey Tracking Flags

(seamonkey2.8 wontfix, seamonkey2.9 fixed, seamonkey2.10 fixed)

Details

()

Attachments

(2 attachments)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1333157656.1333161682.31203.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitests-3/5 on 2012/03/30 18:34:16
{
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'[JavaScript Error: "err is not defined" {file: "resource:///components/nsSuiteGlue.js" line: 752}]' when calling method: [nsIObserver::observe]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "<unknown>"  data: yes]
}
Flags: in-testsuite-
Assignee

Comment 1

7 years ago
FF nsBrowserGlue.js uses 'err': you changed one but not the other.
Attachment #611148 - Flags: review?(kairo)
Attachment #611148 - Flags: review?(kairo) → review+
Assignee

Comment 2

7 years ago
Comment on attachment 611148 [details] [diff] [review]
(Av1) nsSuiteGlue.js: Fix typo ('ex', not 'err')
[Checked in: Comments 2 and 6]

http://hg.mozilla.org/comm-central/rev/0fbde674fbb2


[Approval Request Comment]
As we hit this case on trunk, let's fix it on branches too, fwiw.
Attachment #611148 - Attachment description: (Av1) nsSuiteGlue.js: Fix typo ('ex', not 'err') → (Av1) nsSuiteGlue.js: Fix typo ('ex', not 'err') [Checked in: Comment 2]
Attachment #611148 - Flags: approval-comm-beta?
Attachment #611148 - Flags: approval-comm-aurora?
Assignee

Updated

7 years ago
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED

Comment 3

7 years ago
Comment on attachment 611148 [details] [diff] [review]
(Av1) nsSuiteGlue.js: Fix typo ('ex', not 'err')
[Checked in: Comments 2 and 6]

Typo fix. a=me.
Attachment #611148 - Flags: approval-comm-beta?
Attachment #611148 - Flags: approval-comm-beta+
Attachment #611148 - Flags: approval-comm-aurora?
Attachment #611148 - Flags: approval-comm-aurora+
Assignee

Updated

7 years ago
Keywords: checkin-needed
Whiteboard: [c-n: 0fbde674fbb2 to c-a and c-b]
Assignee

Comment 4

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1333310123.1333313717.4786.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitests-3/5 on 2012/04/01 12:55:23
{
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'[JavaScript Error: "importObserver is not defined" {file: "resource:///components/nsSuiteGlue.js" line: 753}]' when calling method: [nsIObserver::observe]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "<unknown>"  data: yes]
}

V.Fixed wrt patch A.
Assignee

Comment 5

7 years ago
I don't know where these 'importObserver' came from: FF never had them.


[Approval Request Comment]
As we hit this case on trunk (probably because this code/feature is being removed from Toolkit), let's fix it on branches too, fwiw.
Attachment #611402 - Flags: review?(kairo)
Attachment #611402 - Flags: approval-comm-beta?
Attachment #611402 - Flags: approval-comm-aurora?
Comment on attachment 611148 [details] [diff] [review]
(Av1) nsSuiteGlue.js: Fix typo ('ex', not 'err')
[Checked in: Comments 2 and 6]

http://hg.mozilla.org/releases/comm-aurora/rev/ee4776e4046b
http://hg.mozilla.org/releases/comm-beta/rev/32167786a4f1
Attachment #611148 - Attachment description: (Av1) nsSuiteGlue.js: Fix typo ('ex', not 'err') [Checked in: Comment 2] → (Av1) nsSuiteGlue.js: Fix typo ('ex', not 'err') [Checked in: Comments 2 and 6]
Keywords: checkin-needed
Whiteboard: [c-n: 0fbde674fbb2 to c-a and c-b]

Updated

7 years ago
Attachment #611402 - Flags: review?(kairo)
Attachment #611402 - Flags: review+
Attachment #611402 - Flags: approval-comm-beta?
Attachment #611402 - Flags: approval-comm-beta+
Attachment #611402 - Flags: approval-comm-aurora?
Attachment #611402 - Flags: approval-comm-aurora+
Assignee

Comment 7

7 years ago
Comment on attachment 611402 [details] [diff] [review]
(Bv1) nsSuiteGlue.js: Fix wrong object ('this', not 'importObserver')
[Checked in: Comments 7 and 9]

http://hg.mozilla.org/comm-central/rev/889c943bebeb
Attachment #611402 - Attachment description: (Bv1) nsSuiteGlue.js: Fix wrong object ('this', not 'importObserver') → (Bv1) nsSuiteGlue.js: Fix wrong object ('this', not 'importObserver') [Checked in: Comment 7]
Assignee

Comment 8

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1333607321.1333611338.4439.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitests-3/5 on 2012/04/04 23:28:41

V.Fixed wrt patch B too.
Status: RESOLVED → VERIFIED
Keywords: checkin-needed
Whiteboard: [c-n: 889c943bebeb to c-a and c-b]
Comment on attachment 611402 [details] [diff] [review]
(Bv1) nsSuiteGlue.js: Fix wrong object ('this', not 'importObserver')
[Checked in: Comments 7 and 9]

http://hg.mozilla.org/releases/comm-aurora/rev/5ff32daa3b7e
http://hg.mozilla.org/releases/comm-beta/rev/62053a3b1aee
Attachment #611402 - Attachment description: (Bv1) nsSuiteGlue.js: Fix wrong object ('this', not 'importObserver') [Checked in: Comment 7] → (Bv1) nsSuiteGlue.js: Fix wrong object ('this', not 'importObserver') [Checked in: Comments 7 and 9]
Keywords: checkin-needed
Whiteboard: [c-n: 889c943bebeb to c-a and c-b]
You need to log in before you can comment on or make changes to this bug.